org.codehaus.groovy.classgen.asm

## Class BinaryExpressionHelper

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.BinaryExpressionHelper

Direct Known Subclasses:
  BinaryExpressionMultiTypeDispatcher, IndyBinHelper

    public class BinaryExpressionHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BinaryExpressionHelper(WriterController wc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `assignToArray(Expression parent, Expression receiver, Expression index, Expression rhsValueLoader)`
`void` `eval(BinaryExpression expression)`
`protected void` `evaluateArrayAssignmentWithOperator(java.lang.String method, BinaryExpression expression, BinaryExpression leftBinExpr)`
`protected void` `evaluateBinaryExpression(java.lang.String message, BinaryExpression binExp)`
`protected void` `evaluateBinaryExpressionWithAssignment(java.lang.String method, BinaryExpression expression)`
`protected void` `evaluateCompareExpression(MethodCaller compareMethod, BinaryExpression expression)`
`void` `evaluateEqual(BinaryExpression expression, boolean defineVariable)`
`void` `evaluatePostfixMethod(PostfixExpression expression)`
`void` `evaluatePrefixMethod(PrefixExpression expression)`
`void` `evaluateTernary(TernaryExpression expression)`
`WriterController` `getController()`
`MethodCaller` `getIsCaseMethod()`
`protected void` `writePostOrPrefixMethod(int op, java.lang.String method, Expression expression, Expression orig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryExpressionHelper

    public BinaryExpressionHelper(WriterController wc)

### Method Detail

#### getController

    public WriterController getController()

#### eval

    public void eval(BinaryExpression expression)

#### assignToArray

    protected void assignToArray(Expression parent,
                                 Expression receiver,
                                 Expression index,
                                 Expression rhsValueLoader)

#### evaluateEqual

    public void evaluateEqual(BinaryExpression expression,
                              boolean defineVariable)

#### evaluateCompareExpression

    protected void evaluateCompareExpression(MethodCaller compareMethod,
                                             BinaryExpression expression)

#### evaluateBinaryExpression

    protected void evaluateBinaryExpression(java.lang.String message,
                                            BinaryExpression binExp)

#### evaluateArrayAssignmentWithOperator

    protected void evaluateArrayAssignmentWithOperator(java.lang.String method,
                                                       BinaryExpression expression,
                                                       BinaryExpression leftBinExpr)

#### evaluateBinaryExpressionWithAssignment

    protected void evaluateBinaryExpressionWithAssignment(java.lang.String method,
                                                          BinaryExpression expression)

#### getIsCaseMethod

    public MethodCaller getIsCaseMethod()

#### evaluatePostfixMethod

    public void evaluatePostfixMethod(PostfixExpression expression)

#### evaluatePrefixMethod

    public void evaluatePrefixMethod(PrefixExpression expression)

#### writePostOrPrefixMethod

    protected void writePostOrPrefixMethod(int op,
                                           java.lang.String method,
                                           Expression expression,
                                           Expression orig)

#### evaluateTernary

    public void evaluateTernary(TernaryExpression expression)